import { UmbLitElement } from '../../../../../core/lit-element/index.js';
import './column-layouts/status-code/webhook-delivery-table-status-code-column-layout.element.js';
export declare class UmbWebhookDeliveryTableCollectionViewElement extends UmbLitElement {
    #private;
    private _tableConfig;
    private _tableColumns;
    private _tableItems;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbWebhookDeliveryTableCollectionViewElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-webhook-delivery-table-collection-view': UmbWebhookDeliveryTableCollectionViewElement;
    }
}
